]> Git Repo - linux.git/commitdiff
Merge tag 'linux-kselftest-4.12-rc1' of git://git.kernel.org/pub/scm/linux/kernel...
authorLinus Torvalds <[email protected]>
Tue, 9 May 2017 03:43:30 +0000 (20:43 -0700)
committerLinus Torvalds <[email protected]>
Tue, 9 May 2017 03:43:30 +0000 (20:43 -0700)
Pull kselftest updates from Shuah Khan:
 "This update consists of:

   - important fixes for build failures and clean target related
     warnings to address regressions introduced in commit 88baa78d1f31
     ("selftests: remove duplicated all and clean target")

   - several minor spelling fixes in and log messages and comment
     blocks.

   - Enabling configs for better test coverage in ftrace, vm, and
     cpufreq tests.

   - .gitignore changes"

* tag 'linux-kselftest-4.12-rc1' of git://git.kernel.org/pub/scm/linux/kernel/git/shuah/linux-kselftest: (26 commits)
  selftests: x86: add missing executables to .gitignore
  selftests: watchdog: accept multiple params on command line
  selftests: create cpufreq kconfig fragments
  selftests: x86: override clean in lib.mk to fix warnings
  selftests: sync: override clean in lib.mk to fix warnings
  selftests: splice: override clean in lib.mk to fix warnings
  selftests: gpio: fix clean target to remove all generated files and dirs
  selftests: add gpio generated files to .gitignore
  selftests: powerpc: override clean in lib.mk to fix warnings
  selftests: gpio: override clean in lib.mk to fix warnings
  selftests: futex: override clean in lib.mk to fix warnings
  selftests: lib.mk: define CLEAN macro to allow Makefiles to override clean
  selftests: splice: fix clean target to not remove default_file_splice_read.sh
  selftests: gpio: add config fragment for gpio-mockup
  selftests: breakpoints: allow to cross-compile for aarch64/arm64
  selftests/Makefile: Add missed PHONY targets
  selftests/vm/run_vmtests: Fix wrong comment
  selftests/Makefile: Add missed closing `"` in comment
  selftests/vm/run_vmtests: Polish output text
  selftests/timers: fix spelling mistake: "Asynchronous"
  ...

1  2 
tools/testing/selftests/powerpc/Makefile
tools/testing/selftests/vm/run_vmtests

index 03e1617367d35a3306e2e71bed076393a89f5051,8d9fc64c8761ff0d62f99cf71583add504faaacf..72c3ac2323e15faaeaf2d160063facfa74323a7c
@@@ -8,13 -8,12 +8,13 @@@ ifeq ($(ARCH),powerpc
  
  GIT_VERSION = $(shell git describe --always --long --dirty || echo "unknown")
  
 -CFLAGS := -std=gnu99 -Wall -O2 -Wall -Werror -DGIT_VERSION='"$(GIT_VERSION)"' -I$(CURDIR)/include $(CFLAGS)
 +CFLAGS := -std=gnu99 -O2 -Wall -Werror -DGIT_VERSION='"$(GIT_VERSION)"' -I$(CURDIR)/include $(CFLAGS)
  
  export CFLAGS
  
  SUB_DIRS = alignment          \
           benchmarks           \
 +         cache_shape          \
           copyloops            \
           context_switch       \
           dscr                 \
@@@ -35,37 -34,38 +35,38 @@@ endi
  all: $(SUB_DIRS)
  
  $(SUB_DIRS):
 -      BUILD_TARGET=$$OUTPUT/$@; mkdir -p $$BUILD_TARGET; $(MAKE) OUTPUT=$$BUILD_TARGET -k -C $@ all
 +      BUILD_TARGET=$(OUTPUT)/$@; mkdir -p $$BUILD_TARGET; $(MAKE) OUTPUT=$$BUILD_TARGET -k -C $@ all
  
  include ../lib.mk
  
  override define RUN_TESTS
        @for TARGET in $(SUB_DIRS); do \
 -              BUILD_TARGET=$$OUTPUT/$$TARGET; \
 +              BUILD_TARGET=$(OUTPUT)/$$TARGET;        \
                $(MAKE) OUTPUT=$$BUILD_TARGET -C $$TARGET run_tests;\
        done;
  endef
  
  override define INSTALL_RULE
        @for TARGET in $(SUB_DIRS); do \
 -              BUILD_TARGET=$$OUTPUT/$$TARGET; \
 +              BUILD_TARGET=$(OUTPUT)/$$TARGET;        \
                $(MAKE) OUTPUT=$$BUILD_TARGET -C $$TARGET install;\
        done;
  endef
  
  override define EMIT_TESTS
        @for TARGET in $(SUB_DIRS); do \
 -              BUILD_TARGET=$$OUTPUT/$$TARGET; \
 +              BUILD_TARGET=$(OUTPUT)/$$TARGET;        \
                $(MAKE) OUTPUT=$$BUILD_TARGET -s -C $$TARGET emit_tests;\
        done;
  endef
  
- clean:
+ override define CLEAN
        @for TARGET in $(SUB_DIRS); do \
 -              BUILD_TARGET=$$OUTPUT/$$TARGET; \
 +              BUILD_TARGET=$(OUTPUT)/$$TARGET;        \
                $(MAKE) OUTPUT=$$BUILD_TARGET -C $$TARGET clean; \
        done;
        rm -f tags
+ endef
  
  tags:
        find . -name '*.c' -o -name '*.h' | xargs ctags
index 0640923ded7e21ea381941b6416c85cb6abe06d2,2ed05ad00daa1d223abeb90a624cb978e4eced29..07548a1fa901ca109dad1e4e89accdfaa1815677
@@@ -49,9 -49,9 +49,9 @@@ f
  mkdir $mnt
  mount -t hugetlbfs none $mnt
  
- echo "--------------------"
+ echo "---------------------"
  echo "running hugepage-mmap"
- echo "--------------------"
+ echo "---------------------"
  ./hugepage-mmap
  if [ $? -ne 0 ]; then
        echo "[FAIL]"
@@@ -77,9 -77,9 +77,9 @@@ f
  echo $shmmax > /proc/sys/kernel/shmmax
  echo $shmall > /proc/sys/kernel/shmall
  
- echo "--------------------"
+ echo "-------------------"
  echo "running map_hugetlb"
- echo "--------------------"
+ echo "-------------------"
  ./map_hugetlb
  if [ $? -ne 0 ]; then
        echo "[FAIL]"
@@@ -92,10 -92,10 +92,10 @@@ echo "NOTE: The above hugetlb tests pro
  echo "      https://github.com/libhugetlbfs/libhugetlbfs.git for"
  echo "      hugetlb regression testing."
  
- echo "--------------------"
+ echo "-------------------"
  echo "running userfaultfd"
- echo "--------------------"
+ echo "-------------------"
 -./userfaultfd 128 32
 +./userfaultfd anon 128 32
  if [ $? -ne 0 ]; then
        echo "[FAIL]"
        exitcode=1
@@@ -103,11 -103,11 +103,11 @@@ els
        echo "[PASS]"
  fi
  
- echo "----------------------------"
+ echo "---------------------------"
  echo "running userfaultfd_hugetlb"
- echo "----------------------------"
- # 258MB total huge pages == 128MB src and 128MB dst
+ echo "---------------------------"
+ # 256MB total huge pages == 128MB src and 128MB dst
 -./userfaultfd_hugetlb 128 32 $mnt/ufd_test_file
 +./userfaultfd hugetlb 128 32 $mnt/ufd_test_file
  if [ $? -ne 0 ]; then
        echo "[FAIL]"
        exitcode=1
@@@ -116,10 -116,10 +116,10 @@@ els
  fi
  rm -f $mnt/ufd_test_file
  
- echo "----------------------------"
+ echo "-------------------------"
  echo "running userfaultfd_shmem"
- echo "----------------------------"
+ echo "-------------------------"
 -./userfaultfd_shmem 128 32
 +./userfaultfd shmem 128 32
  if [ $? -ne 0 ]; then
        echo "[FAIL]"
        exitcode=1
@@@ -143,9 -143,9 +143,9 @@@ els
        echo "[PASS]"
  fi
  
- echo "--------------------"
+ echo "----------------------"
  echo "running on-fault-limit"
- echo "--------------------"
+ echo "----------------------"
  sudo -u nobody ./on-fault-limit
  if [ $? -ne 0 ]; then
        echo "[FAIL]"
@@@ -165,15 -165,4 +165,15 @@@ els
        echo "[PASS]"
  fi
  
 +echo "-----------------------------"
 +echo "running virtual_address_range"
 +echo "-----------------------------"
 +./virtual_address_range
 +if [ $? -ne 0 ]; then
 +      echo "[FAIL]"
 +      exitcode=1
 +else
 +      echo "[PASS]"
 +fi
 +
  exit $exitcode
This page took 0.06871 seconds and 4 git commands to generate.